# -*- encoding: utf-8 -*-

from django.urls import path, include
from rest_framework.authtoken.views import obtain_auth_token

from .views import (
    Server_ListView,
    Server_DetailView,
    ContentFilter_ListView,
    ContentFilter_DetailView,
    MessageMutator_ListView,
    MessageMutator_DetailView,
    MessageStyle_ListView,
    MessageStyle_DetailView,
    Subscription_ListView,
    Subscription_DetailView,
    Content_ListView,
    Content_DetailView,
    UniqueContentRule_ListView,
    UniqueContentRule_DetailView
)

urlpatterns = [
    path("api-auth/", include("rest_framework.urls", namespace="rest_framework")),
    path("api-token-auth/", obtain_auth_token),

    # region Servers
    path("servers/", include([
        path("", Server_ListView.as_view()),
        path("<int:pk>/", Server_DetailView.as_view())
    ])),

    # region Filters
    path("filters/", include([
        path("", ContentFilter_ListView.as_view()),
        path("<int:pk>/", ContentFilter_DetailView.as_view())
    ])),

    # region Message Mutators
    path("message-mutators/", include([
        path("", MessageMutator_ListView.as_view()),
        path("<int:pk>/", MessageMutator_DetailView.as_view())
    ])),

    # region Message Styles
    path("message-styles/", include([
        path("", MessageStyle_ListView.as_view()),
        path("<int:pk>/", MessageStyle_DetailView.as_view())
    ])),

    # region Subscriptions
    path("subscriptions/", include([
        path("", Subscription_ListView.as_view()),
        path("<int:pk>/", Subscription_DetailView.as_view())
    ])),

    # region Content
    path("content/", include([
        path("", Content_ListView.as_view()),
        path("<int:pk>/", Content_DetailView.as_view())
    ])),

    # region Unique Rules
    path("unique-content-rules/", include([
        path("", UniqueContentRule_ListView.as_view()),
        path("<int:pk>/", UniqueContentRule_DetailView.as_view())
    ]))
]
